<?php

include 'conexion.php';

$email = $_GET['email'];
$type = $_GET['type'];

if($type == 0){
    $opc = "WHERE correo = '$email'";
} else if($type == 1){
    $opc = "WHERE correo = '$email' OR tipo = 0";
}else{
    $opc = "";
}

$consulta = "SELECT correo,nombre,clave,tipo FROM usuarios $opc ORDER BY nombre";
$resultado = $conexion->query($consulta);

if(!$resultado){
    echo "Hay un error con la consulta";
}

while($fila = $resultado -> fetch_array()){
    $sede[] = array_map('utf8_encode', $fila);
}

echo json_encode($sede);
$resultado -> close();

?>